# Enum Class CAUVCommandItemSearchBegin

java.lang.Object
java.lang.Enum<CAUVCommandItemSearchBegin>
com.io7m.cardant.protocol.inventory.cb.internal.CAUVCommandItemSearchBegin

All Implemented Interfaces:
  `CAProtocolMessageValidatorType<CAICommandItemSearchBegin,CAI1CommandItemSearchBegin>`, `Serializable`, `Comparable<CAUVCommandItemSearchBegin>`, `Constable`

public enum CAUVCommandItemSearchBegin extends Enum<CAUVCommandItemSearchBegin> implements CAProtocolMessageValidatorType<CAICommandItemSearchBegin,CAI1CommandItemSearchBegin>
A validator.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMMAND_ITEM_SEARCH_BEGIN`
  A validator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CAICommandItemSearchBegin`
  `convertFromWire(CAI1CommandItemSearchBegin m)`
  Convert a wire message to a core message.
  `CAI1CommandItemSearchBegin`
  `convertToWire(CAICommandItemSearchBegin c)`
  Convert a core message to a wire message.
  `static CAUVCommandItemSearchBegin`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CAUVCommandItemSearchBegin[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COMMAND_ITEM_SEARCH_BEGIN

    public static final CAUVCommandItemSearchBegin COMMAND_ITEM_SEARCH_BEGIN
    A validator.

- ## Method Details

  - ### values

    public static CAUVCommandItemSearchBegin[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CAUVCommandItemSearchBegin valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### convertToWire

    public CAI1CommandItemSearchBegin convertToWire(CAICommandItemSearchBegin c) throws CAProtocolException
    Description copied from interface: `CAProtocolMessageValidatorType`
    Convert a core message to a wire message.
    Specified by:
      `convertToWire` in interface `CAProtocolMessageValidatorType<CAICommandItemSearchBegin,CAI1CommandItemSearchBegin>`
    Parameters:
      `c` - The core message
    Returns:
      The wire message
    Throws:
      `CAProtocolException` - On errors

  - ### convertFromWire

    public CAICommandItemSearchBegin convertFromWire(CAI1CommandItemSearchBegin m) throws CAProtocolException
    Description copied from interface: `CAProtocolMessageValidatorType`
    Convert a wire message to a core message.
    Specified by:
      `convertFromWire` in interface `CAProtocolMessageValidatorType<CAICommandItemSearchBegin,CAI1CommandItemSearchBegin>`
    Parameters:
      `m` - The wire message
    Returns:
      The core message
    Throws:
      `CAProtocolException` - On errors